Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures.attributes
Class LocalVariableCommonEntry

    java.lang.Object
      org.gjt.jclasslib.structures.AbstractStructure
          org.gjt.jclasslib.structures.attributes.LocalVariableCommonEntry

Direct Known Subclasses:
  LocalVariableTableEntry, LocalVariableTypeTableEntry

public abstract class LocalVariableCommonEntry
extends AbstractStructure

Contains common attributes to a local variable table entry structure.

Version:
  $Revision: 1.1 $ $Date: 2004/12/28 13:04:32 $
Author:
  Vitor Carreira

Field Summary
`protected int` | `descriptorOrSignatureIndex`
`protected int` | `index`
`protected int` | `length`
`static int` | `LENGTH` Length in bytes of a local variable association.
`protected int` | `nameIndex`
`protected int` | `startPc`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructure
`classFile, debug, SYSTEM_PROPERTY_DEBUG`

Constructor Summary
`LocalVariableCommonEntry()`

Method Summary
`int` | `getDescriptorOrSignatureIndex()` Get the index of the constant pool entry containing the descriptor of this local variable.
`int` | `getIndex()` Get the index of this local variable.
`int` | `getLength()` Get the length in bytes of this local variable association.
`int` | `getNameIndex()` Get the index of the constant pool entry containing the name of this local variable.
`int` | `getStartPc()` Get the `start_pc` of this local variable association.
`protected String` | `printAccessFlagsVerbose(int accessFlags)` Utility method for derived structures.
`void` | `read(DataInput in)` Read this structure from the given `DataInput`.
`void` | `setDescriptorOrSignatureIndex(int descriptorIndex)` Get the index of the constant pool entry containing the descriptor of this local variable.
`void` | `setIndex(int index)` Set the index of this local variable.
`void` | `setLength(int length)` Set the length in bytes of this local variable association.
`void` | `setNameIndex(int nameIndex)` Set the index of the constant pool entry containing the name of this local variable.
`void` | `setStartPc(int startPc)` Set the `start_pc` of this local variable association.
`void` | `write(DataOutput out)` Write this structure to the given `DataOutput`.

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructure
`debug, getClassFile, getDebug, getLength, printAccessFlags, printAccessFlagsVerbose, printBytes, setClassFile, setDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LENGTH

    public static final int LENGTH

  Length in bytes of a local variable association.

  See Also:
    Constant Field Values

### startPc

    protected int startPc

### length

    protected int length

### nameIndex

    protected int nameIndex

### descriptorOrSignatureIndex

    protected int descriptorOrSignatureIndex

### index

    protected int index

Constructor Detail

### LocalVariableCommonEntry

    public LocalVariableCommonEntry()

Method Detail

### getStartPc

    public final int getStartPc()

  Get the `start_pc` of this local variable association.

  Returns:
    the `start_pc`

### setStartPc

    public final void setStartPc(int startPc)

  Set the `start_pc` of this local variable association.

  Parameters:
    `startPc` - the `start_pc`

### getLength

    public final int getLength()

  Get the length in bytes of this local variable association.

  Returns:
    the length

### setLength

    public final void setLength(int length)

  Set the length in bytes of this local variable association.

  Parameters:
    `length` - the length

### getNameIndex

    public final int getNameIndex()

  Get the index of the constant pool entry containing the name of this local variable.

  Returns:
    the index

### setNameIndex

    public final void setNameIndex(int nameIndex)

  Set the index of the constant pool entry containing the name of this local variable.

  Parameters:
    `nameIndex` - the index

### getDescriptorOrSignatureIndex

    public final int getDescriptorOrSignatureIndex()

  Get the index of the constant pool entry containing the descriptor of this local variable.

  Returns:
    the index

### setDescriptorOrSignatureIndex

    public final void setDescriptorOrSignatureIndex(int descriptorIndex)

  Get the index of the constant pool entry containing the descriptor of this local variable.

  Parameters:
    `descriptorIndex` - the index

### getIndex

    public final int getIndex()

  Get the index of this local variable.

  Returns:
    the index

### setIndex

    public final void setIndex(int index)

  Set the index of this local variable. Set the index of this local variable.

### read

    public final void read(DataInput in)
                    throws InvalidByteCodeException,
                           IOException

  Description copied from class: `AbstractStructure`
  Read this structure from the given `DataInput`.

  Excpects `DataInput` to be in JVM class file format and just before a structure of this kind. No look ahead parsing since the class file format is deterministic.

  Overrides:
    `read` in class `AbstractStructure`
  Parameters:
    `in` - the `DataInput` from which to read
  Throws:
    `IOException` - if an exception occurs with the `DataInput`
    `InvalidByteCodeException` - if the byte code is invalid

### write

    public final void write(DataOutput out)
                     throws InvalidByteCodeException,
                            IOException

  Description copied from class: `AbstractStructure`
  Write this structure to the given `DataOutput`.

  The written bytes are in JVM class file format.

  Overrides:
    `write` in class `AbstractStructure`
  Parameters:
    `out` - the `DataOutput` to which to write
  Throws:
    `IOException` - if an exception occurs with the `DataOutput`
    `InvalidByteCodeException` - if the structure is internally inconsistent

### printAccessFlagsVerbose

    protected String printAccessFlagsVerbose(int accessFlags)

  Description copied from class: `AbstractStructure`
  Utility method for derived structures. Print an access flag as a space separated list of verbose java access modifiers.

  Specified by:
    `printAccessFlagsVerbose` in class `AbstractStructure`
  Parameters:
    `accessFlags` - the unsigned short value to print as a hex string
  Returns:
    the hex string

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD